jif.ast

## Interface ConstraintNode<Constraint extends Assertion>

- All Superinterfaces:
    java.lang.Cloneable, polyglot.util.Copy<polyglot.ast.Node>, polyglot.ast.Node, polyglot.ast.NodeOps, java.io.Serializable
  All Known Subinterfaces:
    ActsForConstraintNode<Actor,Granter>, AuthConstraintNode, AutoEndorseConstraintNode, CallerConstraintNode, CanonicalConstraintNode, LabelActsForLabelConstraintNode, LabelActsForPrincipalConstraintNode, LabelLeAssertionNode, PrincipalActsForPrincipalConstraintNode
  All Known Implementing Classes:
    ActsForConstraintNode_c, AuthConstraintNode_c, AutoEndorseConstraintNode_c, CallerConstraintNode_c, CanonicalConstraintNode_c, ConstraintNode_c, LabelActsForLabelConstraintNode_c, LabelActsForPrincipalConstraintNode_c, LabelLeAssertionNode_c, PrincipalActsForPrincipalConstraintNode_c

      public interface ConstraintNode<Constraint extends Assertion>
      extends polyglot.ast.Node

  The root of various constraint nodes. This is the AST representation of an `Assertion`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<Constraint>` | `constraints()`
    `ConstraintNode<Constraint>` | `constraints(java.util.Set<Constraint> constraint)`

    - ### Methods inherited from interface polyglot.ast.Node

      `del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitEdge`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, extRewriteOverride, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChild, visitChildren, visitList`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Method Detail

    - #### constraints

          java.util.Set<Constraint> constraints()

    - #### constraints

          ConstraintNode<Constraint> constraints(java.util.Set<Constraint> constraint)